gnutls_privkey_import_tpm_url(3)

NAME
gnutls_privkey_import_tpm_url - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_privkey_import_tpm_url(gnutls_privkey_t pkey, const char * url, const char * srk_password, const char * key_password, unsigned int flags);

ARGUMENTS

gnutls_privkey_t pkey
    The private key

const char * url
    The URL of the TPM key to be imported

const char * srk_password
    The password for the SRK key (optional)

const char * key_password
    A password for the key (optional)

unsigned int flags
    One of the GNUTLS_PRIVKEY_* flags

DESCRIPTION
This function will import the given private key to the abstract gnutls_privkey_t type.

Note that unless GNUTLS_PRIVKEY_DISABLE_CALLBACKS is specified, if incorrect (or NULL) passwords are given the PKCS11 callback functions will be used to obtain the correct passwords. Otherwise if the SRK password is wrong GNUTLS_E_TPM_SRK_PASSWORD_ERROR is returned and if the key password is wrong or not provided then GNUTLS_E_TPM_KEY_PASSWORD_ERROR is returned.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.1.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/